맞춤 도메인
GET https://oohbe.com/api/domains/
curl --request GET \
--url 'https://oohbe.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열. |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까? 허용되는 값은: host. |
| is_enabled | 선택 사항 부울 | |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime |
| datetime_start | 선택 사항 문자열 | 시작 일시 |
| datetime_end | 선택 사항 문자열 | 종료 일시 |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드. 허용되는 값은: domain_id, datetime, last_datetime, host. |
| order_type | 선택 사항 문자열 | 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-05-17 03:09:17"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://oohbe.com/api/domains?page=1",
"last": "https://oohbe.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://oohbe.com/api/domains?page=1"
}
}
GET https://oohbe.com/api/domains/{domain_id}
curl --request GET \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-05-17 03:09:17"
}
}
POST https://oohbe.com/api/domains
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| host | 필수 문자열 | - |
| custom_index_url | 선택 사항 문자열 | - |
| custom_not_found_url | 선택 사항 문자열 | - |
curl --request POST \
--url 'https://oohbe.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://oohbe.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://oohbe.com/api/domains/{domain_id}
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| host | 선택 사항 문자열 | - |
| custom_index_url | 선택 사항 문자열 | - |
| custom_not_found_url | 선택 사항 문자열 | - |
curl --request POST \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://oohbe.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \